/*=============== GOOGLE FONTS ===============*/
@import url("https://fonts.googleapis.com/css2?family=Audiowide&family=Poppins:wght@400;500;600&display=swap");

/*=============== VARIABLES CSS ===============*/
:root {
  --header-height: 3.5rem;

  /*========== Colors ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --first-color: hsl(238, 100%, 70%);
  --first-gradient: linear-gradient(90deg,
                  hsl(243, 96%, 54%),
                  hsl(296, 78%, 53%));
  --second-gradient: linear-gradient(90deg,
                  hsl(192, 94%, 49%),
                  hsl(224, 98%, 51%));
  --third-gradient: linear-gradient(90deg,
                  hsl(25, 96%, 55%),
                  hsl(34, 93%, 53%));
  --white-color: hsl(0, 0%, 100%);
  --text-color: hsl(0, 0%, 75%);
  --text-color-light: hsl(0, 0%, 55%);
  --border-color: hsl(0, 0%, 45%);
  --body-color: hsl(238, 100%, 12%);
  --body-color-light: hsl(238, 60%, 20%);

  /*========== Colors Officers ==========*/
  /*Color mode HSL(hue, saturation, lightness)*/
  --first-color-officer: hsl(38, 92%, 58%);
  --first-color-light-officer: hsl(38, 100%, 78%);
  --first-color-alt-officer: hsl(32, 75%, 50%);
  --second-color-officer: hsl(195, 75%, 52%);
  --dark-color-officer: hsl(212, 40%, 12%);
  --white-color-officer: hsl(212, 4%, 95%);
  --body-color-officer: hsl(212, 42%, 15%);
  --container-color-officer: hsl(212, 42%, 20%);

  /*========== Font and typography ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font: "Poppins", sans-serif;
  --second-font: "Audiowide", sans-serif;
  --biggest-font-size: 3rem;
  --big-font-size: 1.5rem;
  --h1-font-size: 1.5rem;
  --h2-font-size: 1.25rem;
  --normal-font-size: .938rem;
  --small-font-size: .813rem;

  /*========== Font and typography Officers ==========*/
  /*.5rem = 8px | 1rem = 16px ...*/
  --body-font-officer: "Bai Jamjuree", sans-serif;
  --h2-font-size-officer: 1.25rem;
  --normal-font-size-officer: 1rem;

  /*========== Font weight ==========*/
  --font-regular: 400;
  --font-medium: 500;
  --font-semi-bold: 600;

  /*========== z index ==========*/
  --z-tooltip: 10;
  --z-fixed: 100;
}

/*========== Responsive typography ==========*/
@media screen and (min-width: 1150px) {
  :root {
    --biggest-font-size: 5.5rem;
    --big-font-size: 3rem;
    --h1-font-size: 2.25rem;
    --h2-font-size: 1.5rem;
    --normal-font-size: 1rem;
    --small-font-size: .875rem;
  }
}

/*=============== BASE ===============*/
* {
  box-sizing: border-box;
  padding: 0;
  margin: 0;
}

html {
  scroll-behavior: smooth;
}

body,
input,
button {
  font-family: var(--body-font);
  font-size: var(--normal-font-size);
}

body {
  background-color: var(--body-color);
  color: var(--text-color);
}

input,
button {
  border: none;
  outline: none;
}

h1, h2, h3, h4 {
  color: var(--white-color);
}

ul {
  list-style: none;
}

a {
  text-decoration: none;
}

img {
  display: block;
  max-width: 100%;
  height: auto;
}

/*=============== REUSABLE CSS CLASSES ===============*/
.container {
  max-width: 1120px;
  margin-inline: 1.5rem;
}

.grid {
  display: grid;
  gap: 1.5rem;
}

.section {
  padding-block: 5rem 1rem;
}

.section__title {
  font-size: var(--big-font-size);
  font-family: var(--second-font);
  font-weight: initial;
  margin-bottom: 2rem;
  text-align: center;
}

.section__title span {
  display: block;
  background: var(--third-gradient);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

.main {
  overflow: hidden;
}

/*=============== HEADER & NAV ===============*/
.header{
  position: fixed;
  width: 100%;
  top: 0;
  left: 0;
  background-color: transparent;
  z-index: var(--z-fixed);
}

.nav{
  position: relative;
  height: var(--header-height);
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.nav__logo{
  display: inline-flex;
  align-items: center;
  column-gap: .5rem;
  color: var(--white-color);
  font-weight: var(--font-semi-bold);
}

.nav__logo img{
  width: 1.5rem;
}

.nav__toggle,
.nav__close{
  display: inline-flex;
  font-size: 1.5rem;
  color: var(--white-color);
  cursor: pointer;
}

.nav__menu{
  position: fixed;
  top: 0;
  right: -100%;
  background-color: hsla(238, 100%, 6%, .5);
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);
  width: 80%;
  height: 100%;
  padding: 8rem 3.5rem 3.5rem;
  transition: right .4s;
}

.nav__list{
  display: flex;
  flex-direction: column;
  row-gap: 3rem;
}

.nav__link{
  color: var(--white-color);
  font-size: var(--h2-font-size);
  font-family: var(--second-font);
  transition: color .4s;
}

.nav__link:hover{
  color: var(--first-color);
}

.nav__img,
.nav__img-2,
.nav__img-3,
.nav__close{
  position: absolute;
}

.nav__close{
  top: 1rem;
  right: 1.5rem;
}

.nav__img{
  width: 350px;
  right: -3rem;
  bottom: 1rem;
  z-index: -1;
}

.nav__img-2{
  width: 50px;
  left: 8rem;
  top: 3rem;
  z-index: -1;
}

.nav__img-3{
  width: 100px;
  right: 3rem;
  bottom: 20rem;
  z-index: -1;
}


/* Show menu */
.show-menu{
  right: 0;
}

/* Add blur header */
.blur-header::after{
  content: '';
  position: absolute;
  width: 1000%;
  height: 100%;
  background-color: hsla(238, 100%, 6%, .5);
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);
  top: 0;
  left: 0;
  z-index: -1;
}

/* Active link */
.active-link{
  color: var(--first-color);
}


/*=============== HOME ===============*/
.home{
  position: relative;
}

.home__bg{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  object-fit: cover;
  object-position: center;
}

.home__container{
  position: relative;
  row-gap: 2rem;
  padding-top: 3rem;
}

.home__data{
  position: relative;
  text-align: center;
}

.home__title span{
  display: block;
}

.home__title{
  font-size: var(--biggest-font-size);
  font-family: var(--second-font);
  font-weight: initial;
  margin-bottom: 1.5rem;
}

.home__title span:nth-child(1){
  background: var(--third-gradient);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

.home__title span:nth-child(3){
  background: var(--second-gradient);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

.home__hp{
  width: 80px;
  position: absolute;
  top: 7.2rem;
  right: 0.7rem;
}

.home__hp2{
  width: 80px;
  position: absolute;
  top: 7.2rem;
  left: 0.5rem;
}

.home__img{
  width: 350px;
  justify-self: center;
}

/*=============== BUTTON ===============*/
.button{
  display: inline-flex;
  justify-content: center;
  background: var(--first-gradient);
  color: var(--white-color);
  font-weight: var(--font-semi-bold);
  padding: 1rem 2rem;
  border-radius: 2rem;
  transition: box-shadow .4s;
}

.button:hover{
  box-shadow: 0 8px 32px hsla(243, 100%, 54%, .4);
}

.button__yellow{
  background: var(--third-gradient);
}

.button__yellow:hover{
  box-shadow: 0 8px 32px hsla(25, 96%, 55%, .4);
}

/*=============== CORE ===============*/
.core{
  padding-top: 8rem;
  position: relative;
}

.core__lines{
  max-width: initial;
  width: 550px;
  position: absolute;
  top: 6rem;
  left: 0;
}

.core__lines-2{
  max-width: initial;
  width: 550px;
  position: absolute;
  bottom: 1rem;
  left: 0;
}

#core .section__title{
  margin-bottom: 6rem;
}

.core__container{
  position: relative;
  grid-template-columns: repeat(2, 1fr);
  background-color: hsla(238, 50%, 20%, .4);
  backdrop-filter: blur(16px);
  -webkit-backdrop-filter: blur(16px);
  padding: 2rem 2rem 5rem;
}

.core__content{
  grid-template-columns: repeat(1, 1fr);
  gap: 5rem 1.5rem;
}

.core__card{
  position: relative;
  border: 2px solid;
  border-image: var(--second-gradient) 1;
  background: linear-gradient(hsla(243, 98%, 51%, .3), transparent 50%);
  padding: 9.25rem 1rem 3rem;
  text-align: center;
}

.core__img{
  width: 180px;
  position: absolute;
  top: -3rem;
  left: 0;
  right: 0;
  margin: 0 auto;
  transition: transform .4s;
}

.core__card:hover .core__img{
  transform: translateY(-1.5rem);
}

.core__title{
  font-size: var(--h2-font-size);
}

.core__info{
  display: block;
  color: var(--first-color);
  font-weight: var(--font-semi-bold);
  margin-bottom: 1rem;
}

.core__description{
  font-size: var(--small-font-size);
}

/*=============== OFFICERS ===============*/
.officers{
  display: flex;
  justify-content: center;
  align-items: center;
}

.section__title{
  margin-bottom: 3rem;
}

.card__container {
  padding-block: 3rem;
}

.card__content {
  margin-inline: 1.75rem;
  border-radius: 1.25rem;
  overflow: hidden;
}

.card__article {
  /* width: 300px; Remove after adding swiper js */
  border-radius: 1.25rem;
  overflow: hidden;
}

.card__image {
  position: relative;
  background-color: var(--first-color-light-officer);
  padding-top: 1.5rem;
  margin-bottom: -.75rem;
}

.card__data {
  background-color: var(--container-color-officer);
  padding: 1.5rem 2rem;
  border-radius: 1rem;
  text-align: center;
  position: relative;
  z-index: 10;
}

.card__img {
  width: 180px;
  margin: 0 auto;
  position: relative;
  z-index: 5;
}

.card__shadow {
  width: 200px;
  height: 200px;
  background-color: var(--first-color-alt-officer);
  border-radius: 50%;
  position: absolute;
  top: 3.75rem;
  left: 0;
  right: 0;
  margin-inline: auto;
  filter: blur(45px);
}

.card__name {
  font-size: var(--h2-font-size-officer);
  color: var(--second-color-officer);
  margin-bottom: .75rem;
}

.card__description {
  font-weight: 500;
  margin-bottom: 1.75rem;
}

.card__button {
  display: inline-block;
  background-color: var(--first-color-officer);
  padding: .75rem 1.5rem;
  border-radius: .25rem;
  color: var(--dark-color-officer);
  font-weight: 600;
}

/* Swiper class */
.swiper-button-prev:after,
.swiper-button-next:after {
  content: "";
}

.swiper-button-prev,
.swiper-button-next {
  width: initial;
  height: initial;
  font-size: 3rem;
  bottom: 12rem;
  color: var(--second-color-officer);
  display: none;
}

.swiper-button-prev {
  left: 0;
}

.swiper-button-next {
  right: 0;
}

.swiper-pagination-bullet {
  background-color: hsl(212, 32%, 40%);
  opacity: 1;
}

.swiper-pagination-bullet-active {
  background-color: var(--second-color-officer);
}


/*=============== ABOUT ===============*/
.about__container{
  padding-top: 3.75rem;
  row-gap: 3rem;
}

.about__data{
  position: relative;
}

.about__monkey{
  width: 75px;
  position: absolute;
  top: -1rem;
  left: 2.5rem;
}

.about__cat{
  width: 70px;
  position: absolute;
  top: 1rem;
  right: 3rem;
}

.about__description{
  text-align: center;
  margin-bottom: 2rem;
}

.about__info{
  display: flex;
  justify-content: center;
  column-gap: 3rem;
}

.about__info-title{
  font-size: var(--normal-font-size);
}

.about__info-sub{
  font-size: var(--h1-font-size);
  font-family: var(--second-font);
  background: var(--second-gradient);
  background-clip: text;
  -webkit-background-clip: text;
  color: transparent;
}

.about__socials{
  display: flex;
  justify-content: center;
  column-gap: 1rem;
}

.about__socials a{
  width: 30px;
  height: 30px;
  background-color: var(--first-color-alt-officer);
  color: var(--white-color);
  font-size: 1.5rem;
  border-radius: .5rem;
  display: grid;
  place-items: center;
}

.about__img{
  width: 350px;
  justify-self: center;
}

/*=============== FOOTER ===============*/
.footer{
  position: relative;
}

.footer__container{
  padding-top: 3rem;
}

.footer__title{
  margin-top: 3rem;
  text-align: center;
  font: var(--body-font);
  color: var(--white-color);
  font-weight: var(--font-regular);
  font-size: var(--font-semi-bold);
}

.footer__content{
  position: relative;
  text-align: center;
  margin-bottom: 2.5rem;
}

.footer__links{
  display: flex;
  flex-wrap: wrap;
  column-gap: 1rem;
  justify-content: space-between;
}

.footer__links li {
  margin-bottom: 1rem;
}

.footer__links a{
  width: 20px;
  height: 20px;
  color: var(--first-color-alt-officer);
  font-size: 1.5rem;
  display: grid;
  place-items: center;
}

/*=============== SCROLL BAR ===============*/
::-webkit-scrollbar{
  width: .6rem;
  background-color: hsl(238, 60%, 20%);
}

::-webkit-scrollbar-thumb{
  background-color: hsl(238, 50%, 30%);
}

::-webkit-scrollbar-thumb:hover{
  background-color: hsl(238, 40%, 40%);
}

/*=============== SCROLL UP ===============*/
.scrollup{
  position: fixed;
  right: 1rem;
  bottom: -50%;
  background-color: var(--body-color-light);
  box-shadow: 0 8px 24px hsla(238, 60%, 4%, .6);
  display: inline-flex;
  padding: 6px;
  color: var(--white-color);
  font-size: 1.25rem;
  z-index: var(--z-tooltip);
  transition: bottom .4s, transform .4s;
}

.scrollup:hover{
  transform: translateY(-.5rem);
}

/* Show Scroll Up */
.show-scroll{
  bottom: 3rem;
}

/*=============== BREAKPOINTS ===============*/
/* For small devices */
@media screen and (max-width: 340px) {
  .container{
    margin-inline: 1rem;
  }

  .home__title{
    font-size: 2.5rem;
  }
  .home__hp,
  .home__hp2{
    width: 65px;
  }
  .home__hp{
    position: absolute;
    top: 2.7rem;
    right: 0.5rem;
  }
  .home__hp2{
    position: absolute;
    top: 2.7rem;
    left: 0.5rem;
  }

  .nav__img-2{
    width: 50px;
  }
  .nav__img-3{
    width: 80px;
    bottom: 18rem;
  }

  .core__container{
    padding-inline: 1rem;
  }

  .card__data {
    padding: 1rem;
  }

  .about__info{
    flex-direction: column;
    row-gap: 1rem;
    text-align: center;
  }
  .about__monkey{
    width: 60px;
    position: absolute;
    top: -1rem;
    left: 1rem;
  }
  .about__cat{
    width: 60px;
    position: absolute;
    top: 1rem;
    right: 1rem;
  }
}

@media screen and (min-width: 340px) and (max-width: 347px) {
  .container{
    margin-inline: 1rem;
  }

  .home__title{
    font-size: 2.5rem;
  }
  .home__hp,
  .home__hp2{
    width: 65px;
  }
  .home__hp{
    position: absolute;
    top: 2.7rem;
    right: 1.8rem;
  }
  .home__hp2{
    position: absolute;
    top: 2.7rem;
    left: 1.8rem;
  }

  .nav__img-2{
    width: 50px;
  }
  .nav__img-3{
    width: 80px;
    bottom: 18rem;
  }

  .core__container{
    padding-inline: 1rem;
  }

  .card__data {
    padding: 1rem;
  }

  .about__info{
    flex-direction: column;
    row-gap: 1rem;
    text-align: center;
  }
  .about__monkey{
    width: 60px;
    position: absolute;
    top: -1rem;
    left: 1rem;
  }
  .about__cat{
    width: 60px;
    position: absolute;
    top: 1rem;
    right: 1rem;
  }
}

@media screen and (min-width: 348px) and (max-width: 420px){
.container{
margin-inline: 1rem;
}

.home__title{
  font-size: 2.5rem;
}
.home__hp,
.home__hp2{
  width: 70px;
}
.home__hp{
  position: absolute;
  top: 6rem;
  right: .5rem;
}
.home__hp2{
  position: absolute;
  top: 6rem;
  left: .5rem;
}
.nav__img-2{
  width: 50px;
}
.nav__img-3{
  width: 80px;
  bottom: 18rem;
}
.core__container{
  padding-inline: 1rem;
}

.card__data {
  padding: 1rem;
}

.about__info{
  flex-direction: column;
  row-gap: 1rem;
  text-align: center;
}
.about__monkey{
  width: 60px;
  position: absolute;
  top: -1rem;
  left: 1.5rem;
}
.about__cat{
  width: 60px;
  position: absolute;
  top: 1rem;
  right: 1.5rem;
 }
}

/* For medium devices */
@media screen and (min-width: 540px){
  .home__container,
  .about__container{
    grid-template-columns: 400px;
    justify-content: center;
  }
  .home__hp{
    position: absolute;
    right: 1.25rem;
  }
  .home__hp2{
    position: absolute;
    left: 1.25rem;
  }

  .core__card{
    width: 350px;
    justify-self: center;
  }

  .about__socials a{
    width: 40px;
    height: 40px;
    background-color: var(--first-color-alt-officer);
    color: var(--white-color);
    font-size: 2rem;
    border-radius: 1rem;
    display: grid;
    place-items: center;
  }

  .footer__links{
    justify-content: center;
  }
}

@media screen and (min-width: 768px) and (max-width:1149px){
  .nav__menu{
    width: 60%;
    padding: 10rem 4.5rem 0;
  }
  .nav__list{
    row-gap: 3.5rem;
  }
  .nav__close{
    top: 1.7rem;
  }
  .nav__img{
    width: 400px;
  }
  .nav__img-2{
    width: 80px;
  }
  .nav__img-3{
    width: 100px;
  }
  
  .home__container{
    grid-template-columns: repeat(2, 350px);
    align-items: center;
  }
  .home__data{
    text-align: center;
  }
  .home__title{
    width: 380px;
  }

  .core__content{
    grid-template-columns: repeat(2, 1fr);
    gap: 5rem 1.5rem;
  }
  .core__card{
    width: 300px;
    justify-self: center;
  }
  .core__lines-2{
    bottom: -2rem;
  }

  .card__content {
    margin-inline: 3rem;
  }

  .swiper-button-next,
  .swiper-button-prev {
    display: block;
  }

  .about__cat,
  .about__monkey{
    width: 90px;
  }
  .about__monkey{
    left: 1rem;
  }
  .about__cat{
    right: 1rem;
  }
  .about__img{
    width: 400px;
    justify-self: center;
  }
  .about__socials a{
    width: 50px;
    height: 50px;
    background-color: var(--first-color-alt-officer);
    color: var(--white-color);
    font-size: 2rem;
    border-radius: 1rem;
    display: grid;
    place-items: center;
  }

  .footer__links{
    display: flex;
    flex-wrap: wrap;
    column-gap: 1rem;
    justify-content: center;
  }
}

/* For large devices */
@media screen and (min-width: 1150px){
  .container{
    margin-inline: auto;
  }

  .section{
    padding-block: 7rem 2rem;
  }
  .section__title{
    margin-bottom: 3rem;
  }

  .nav{
    height: calc(var(--header-height) + 2rem);
  }
  .nav__logo img{
    width: 3rem;
  }
  .nav__toggle,
  .nav__close{
    font-size: 2rem;
  }
  .nav__menu{
    width: 40%;
    padding: 10rem 4.5rem 0;
  }
  .nav__list{
    row-gap: 3.5rem;
  }
  .nav__close{
    top: 1.7rem;
  }
  .nav__img{
    width: 500px;
  }
  .nav__img-2{
    width: 100px;
    
  }
  .nav__img-3{
    width: 120px;
    top: 8rem;
  }

  .home__container,
  .about__container{
    grid-template-columns: repeat(2, 540px);
    align-items: center;
  }
  .home__title{
    width: 700px;
    margin-bottom: 3rem;
  }
  .home__data,
  .about__data{
    text-align: initial;
  }
  .home__img,
  .about__img{
    width: 480px;
    order: -1;
  }
  .about__socials{
    justify-content: center;
  }
  .about__socials a{
    width: 55px;
    height: 55px;
    background-color: var(--first-color-alt-officer);
    color: var(--white-color);
    font-size: 2.25rem;
    border-radius: 1.25rem;
    display: grid;
    place-items: center;
  }

  .core__lines,
  .core__lines-2{
    width: 800px;
  }
  .core__lines{
    top: 1rem;
  }
  .core__lines-2{
    bottom: -12rem;
  }
  .core__content{
    grid-template-columns: repeat(2, 1fr);
    gap: 5rem 1.5rem;
  }
  .core__card{
    width: 400px;
    justify-self: center;
  }

  .card__container {
    max-width: 1120px;
  }

  .swiper-button-next,
  .swiper-button-prev {
    display: block;
  }
  .swiper-button-prev {
    left: -1rem;
  }
  .swiper-button-next {
    right: -1rem;
  }
}